darcs-2.12.5: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.Patch.Progress

Synopsis

- progressRL :: String -> RL a wX wY -> RL a wX wY
- progressFL :: String -> FL a wX wY -> FL a wX wY
- progressRLShowTags :: String -> RL (PatchInfoAnd rt p) wX wY -> RL (PatchInfoAnd rt p) wX wY

# Documentation

progressRL :: String -> RL a wX wY -> RL a wX wY #

Evaluate an `RL` list and report progress.

progressFL :: String -> FL a wX wY -> FL a wX wY #

Evaluate an `FL` list and report progress.

progressRLShowTags :: String -> RL (PatchInfoAnd rt p) wX wY -> RL (PatchInfoAnd rt p) wX wY #

Evaluate an `RL` list and report progress. In addition to printing the number of patches we got, show the name of the last tag we got.